Skip to main content
PATCH
/
api
/
v1
/
prompts
/
{id}
Update prompt tags
curl --request PATCH \
  --url https://api.example.com/api/v1/prompts/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "tags": [
    "<string>"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "prompt_id": "<string>",
  "version": 123,
  "content": "<string>",
  "tags": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Headers

x-workspace-id
string | null

Path Parameters

id
string
required

Body

application/json

Request body for updating prompt tags. Content is immutable (append-only versioning).

tags
string[]
required

Updated tags

Response

Successful Response

Response body for a prompt.

id
string<uuid>
required
prompt_id
string
required
version
integer
required
content
string
required
tags
string[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
Last modified on March 22, 2026